Index: src/sas/sascalc/data_util/qsmearing.py
===================================================================
--- src/sas/sascalc/data_util/qsmearing.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sascalc/data_util/qsmearing.py	(revision 083afa172eb22bb71ef1d12ab508761c46610fca)
@@ -65,5 +65,5 @@
             raise ValueError('one or more of your dx values are negative, please check the data file!')
 
-    if _found_sesans == True:
+    if _found_sesans:
         #Pre-compute the Hankel matrix (H)
         qmax, qunits = data.sample.zacceptance
@@ -84,5 +84,5 @@
             #print "data1D.dx[0]",data1D.dx[0],data1D.dxl[0]
     # If we found resolution smearing data, return a QSmearer
-    if _found_resolution == True:
+    if _found_resolution:
          return pinhole_smear(data, model)
 
@@ -107,5 +107,5 @@
                 break
     # If we found slit smearing data, return a slit smearer
-    if _found_slit == True:
+    if _found_slit:
         return slit_smear(data, model)
     return None
Index: src/sas/sascalc/dataloader/readers/abs_reader.py
===================================================================
--- src/sas/sascalc/dataloader/readers/abs_reader.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sascalc/dataloader/readers/abs_reader.py	(revision 083afa172eb22bb71ef1d12ab508761c46610fca)
@@ -69,10 +69,10 @@
                 data_conv_i = None
                 
-                if has_converter == True and output.x_unit != '1/A':
+                if has_converter and output.x_unit != '1/A':
                     data_conv_q = Converter('1/A')
                     # Test it
                     data_conv_q(1.0, output.x_unit)
                     
-                if has_converter == True and output.y_unit != '1/cm':
+                if has_converter and output.y_unit != '1/cm':
                     data_conv_i = Converter('1/cm')
                     # Test it
@@ -82,5 +82,5 @@
                     
                     # Information line 1
-                    if is_info == True:
+                    if is_info:
                         is_info = False
                         line_toks = line.split()
@@ -89,5 +89,5 @@
                         try:
                             value = float(line_toks[1])
-                            if has_converter == True and \
+                            if has_converter and \
                                 output.source.wavelength_unit != 'A':
                                 conv = Converter('A')
@@ -104,5 +104,5 @@
                         try:
                             value = float(line_toks[3])
-                            if has_converter == True and \
+                            if has_converter and \
                                 detector.distance_unit != 'm':
                                 conv = Converter('m')
@@ -125,5 +125,5 @@
                         try:
                             value = float(line_toks[5])
-                            if has_converter == True and \
+                            if has_converter and \
                                 output.sample.thickness_unit != 'cm':
                                 conv = Converter('cm')
@@ -142,5 +142,5 @@
                         
                     # Find center info line
-                    if is_center == True:
+                    if is_center:
                         is_center = False
                         line_toks = line.split()
@@ -150,5 +150,5 @@
                         
                         # Bin size
-                        if has_converter == True and \
+                        if has_converter and \
                             detector.pixel_size_unit != 'mm':
                             conv = Converter('mm')
@@ -163,5 +163,5 @@
                         # Store beam center in distance units
                         # Det 640 x 640 mm
-                        if has_converter == True and \
+                        if has_converter and \
                             detector.beam_center_unit != 'mm':
                             conv = Converter('mm')
@@ -187,5 +187,5 @@
                         
                     # Parse the data
-                    if is_data_started == True:
+                    if is_data_started:
                         toks = line.split()
 
Index: src/sas/sascalc/dataloader/readers/ascii_reader.py
===================================================================
--- src/sas/sascalc/dataloader/readers/ascii_reader.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sascalc/dataloader/readers/ascii_reader.py	(revision 083afa172eb22bb71ef1d12ab508761c46610fca)
@@ -147,12 +147,12 @@
                                 pass
 
-                        if has_error_dy == True:
+                        if has_error_dy:
                             tdy = np.append(tdy, _dy)
-                        if has_error_dx == True:
+                        if has_error_dx:
                             tdx = np.append(tdx, _dx)
                         tx = np.append(tx, _x)
                         ty = np.append(ty, _y)
 
-                        #To remember the # of columns on the current line
+                        # To remember the # of columns on the current line
                         # for the next line of data
                         lentoks = new_lentoks
@@ -160,5 +160,5 @@
                     except ValueError:
                         # It is data and meet non - number, then stop reading
-                        if is_data == True:
+                        if is_data:
                             break
                         lentoks = 2
@@ -175,8 +175,8 @@
                     raise RuntimeError, msg
                 # Sanity check
-                if has_error_dy == True and not len(ty) == len(tdy):
+                if has_error_dy and not len(ty) == len(tdy):
                     msg = "ascii_reader: y and dy have different length"
                     raise RuntimeError, msg
-                if has_error_dx == True and not len(tx) == len(tdx):
+                if has_error_dx and not len(tx) == len(tdx):
                     msg = "ascii_reader: y and dy have different length"
                     raise RuntimeError, msg
@@ -199,7 +199,7 @@
                     x[i] = tx[ind[i]]
                     y[i] = ty[ind[i]]
-                    if has_error_dy == True:
+                    if has_error_dy:
                         dy[i] = tdy[ind[i]]
-                    if has_error_dx == True:
+                    if has_error_dx:
                         dx[i] = tdx[ind[i]]
                 # Zeros in dx, dy
@@ -211,7 +211,7 @@
                 output.x = x[x != 0]
                 output.y = y[x != 0]
-                output.dy = dy[x != 0] if has_error_dy == True\
+                output.dy = dy[x != 0] if has_error_dy\
                     else np.zeros(len(output.y))
-                output.dx = dx[x != 0] if has_error_dx == True\
+                output.dx = dx[x != 0] if has_error_dx\
                     else np.zeros(len(output.x))
 
@@ -243,3 +243,4 @@
         if len(toks) < 2:
             toks = line.split()
+
         return toks
Index: src/sas/sascalc/dataloader/readers/cansas_reader.py
===================================================================
--- src/sas/sascalc/dataloader/readers/cansas_reader.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sascalc/dataloader/readers/cansas_reader.py	(revision 083afa172eb22bb71ef1d12ab508761c46610fca)
@@ -774,5 +774,5 @@
                 if local_unit and default_unit and local_unit.lower() != default_unit.lower() \
                         and local_unit.lower() != "none":
-                    if HAS_CONVERTER == True:
+                    if HAS_CONVERTER:
                         # Check local units - bad units raise KeyError
                         data_conv_q = Converter(local_unit)
@@ -1170,5 +1170,5 @@
             pos, "z", datainfo.sample.position.z,
             {"unit": datainfo.sample.position_unit})
-        if written == True:
+        if written:
             self.append(pos, sample)
 
@@ -1183,5 +1183,5 @@
             ori, "yaw", datainfo.sample.orientation.z,
             {"unit": datainfo.sample.orientation_unit})
-        if written == True:
+        if written:
             self.append(ori, sample)
 
@@ -1230,5 +1230,5 @@
             size, "z", datainfo.source.beam_size.z,
             {"unit": datainfo.source.beam_size_unit})
-        if written == True:
+        if written:
             self.append(size, source)
 
@@ -1286,5 +1286,5 @@
                     size, "z", aperture.size.z,
                     {"unit": aperture.size_unit})
-                if written == True:
+                if written:
                     self.append(size, apert)
 
@@ -1309,5 +1309,5 @@
             written = written | self.write_node(det, "SDD", item.distance,
                                                 {"unit": item.distance_unit})
-            if written == True:
+            if written:
                 self.append(det, instr)
 
@@ -1319,5 +1319,5 @@
             written = written | self.write_node(off, "z", item.offset.z,
                                                 {"unit": item.offset_unit})
-            if written == True:
+            if written:
                 self.append(off, det)
 
@@ -1331,5 +1331,5 @@
                                                 item.orientation.z,
                                                 {"unit": item.orientation_unit})
-            if written == True:
+            if written:
                 self.append(ori, det)
 
@@ -1343,5 +1343,5 @@
                                                 item.beam_center.z,
                                                 {"unit": item.beam_center_unit})
-            if written == True:
+            if written:
                 self.append(center, det)
 
@@ -1353,5 +1353,5 @@
             written = written | self.write_node(pix, "z", item.pixel_size.z,
                                                 {"unit": item.pixel_size_unit})
-            if written == True:
+            if written:
                 self.append(pix, det)
             self.write_node(det, "slit_length", item.slit_length,
@@ -1465,5 +1465,5 @@
                 exec "local_unit = storage.%s_unit" % toks[0]
                 if local_unit is not None and units.lower() != local_unit.lower():
-                    if HAS_CONVERTER == True:
+                    if HAS_CONVERTER:
                         try:
                             conv = Converter(units)
Index: src/sas/sascalc/dataloader/readers/danse_reader.py
===================================================================
--- src/sas/sascalc/dataloader/readers/danse_reader.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sascalc/dataloader/readers/danse_reader.py	(revision 083afa172eb22bb71ef1d12ab508761c46610fca)
@@ -87,10 +87,10 @@
             data_conv_i = None
             
-            if has_converter == True and output.Q_unit != '1/A':
+            if has_converter and output.Q_unit != '1/A':
                 data_conv_q = Converter('1/A')
                 # Test it
                 data_conv_q(1.0, output.Q_unit)
                 
-            if has_converter == True and output.I_unit != '1/cm':
+            if has_converter and output.I_unit != '1/cm':
                 data_conv_i = Converter('1/cm')
                 # Test it
@@ -162,5 +162,5 @@
                 qx = 4.0 * math.pi / wavelength * math.sin(theta / 2.0)
                 
-                if has_converter == True and output.Q_unit != '1/A':
+                if has_converter and output.Q_unit != '1/A':
                     qx = data_conv_q(qx, units=output.Q_unit)
                 
@@ -177,5 +177,5 @@
                 qy = 4.0 * math.pi / wavelength * math.sin(theta/2.0)
                 
-                if has_converter == True and output.Q_unit != '1/A':
+                if has_converter and output.Q_unit != '1/A':
                     qy = data_conv_q(qy, units=output.Q_unit)
                 
@@ -213,5 +213,5 @@
             # Store all data
             # Store wavelength
-            if has_converter == True and output.source.wavelength_unit != 'A':
+            if has_converter and output.source.wavelength_unit != 'A':
                 conv = Converter('A')
                 wavelength = conv(wavelength,
@@ -220,5 +220,5 @@
                 
             # Store distance
-            if has_converter == True and detector.distance_unit != 'm':
+            if has_converter and detector.distance_unit != 'm':
                 conv = Converter('m')
                 distance = conv(distance, units=detector.distance_unit)
@@ -226,5 +226,5 @@
             
             # Store pixel size
-            if has_converter == True and detector.pixel_size_unit != 'mm':
+            if has_converter and detector.pixel_size_unit != 'mm':
                 conv = Converter('mm')
                 pixel = conv(pixel, units=detector.pixel_size_unit)
@@ -242,5 +242,5 @@
             ymax = ymax + stepq / 2.0
             
-            if has_converter == True and output.Q_unit != '1/A':
+            if has_converter and output.Q_unit != '1/A':
                 xmin = data_conv_q(xmin, units=output.Q_unit)
                 xmax = data_conv_q(xmax, units=output.Q_unit)
@@ -281,2 +281,3 @@
         
         return None
+
Index: src/sas/sascalc/dataloader/readers/hfir1d_reader.py
===================================================================
--- src/sas/sascalc/dataloader/readers/hfir1d_reader.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sascalc/dataloader/readers/hfir1d_reader.py	(revision 083afa172eb22bb71ef1d12ab508761c46610fca)
@@ -62,10 +62,10 @@
                 data_conv_i = None
                 
-                if has_converter == True and output.x_unit != '1/A':
+                if has_converter and output.x_unit != '1/A':
                     data_conv_q = Converter('1/A')
                     # Test it
                     data_conv_q(1.0, output.x_unit)
                     
-                if has_converter == True and output.y_unit != '1/cm':
+                if has_converter and output.y_unit != '1/cm':
                     data_conv_i = Converter('1/cm')
                     # Test it
Index: src/sas/sascalc/dataloader/readers/red2d_reader.py
===================================================================
--- src/sas/sascalc/dataloader/readers/red2d_reader.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sascalc/dataloader/readers/red2d_reader.py	(revision 083afa172eb22bb71ef1d12ab508761c46610fca)
@@ -107,10 +107,10 @@
         
         # Set units: This is the unit assumed for Q and I in the data file.
-        if has_converter == True and output.Q_unit != '1/A':
+        if has_converter and output.Q_unit != '1/A':
             data_conv_q = Converter('1/A')
             # Test it
             data_conv_q(1.0, output.Q_unit)
             
-        if has_converter == True and output.I_unit != '1/cm':
+        if has_converter and output.I_unit != '1/cm':
             data_conv_i = Converter('1/cm')
             # Test it
@@ -140,5 +140,5 @@
                     wavelength = float(line_toks[1])
                     # Units
-                    if has_converter == True and \
+                    if has_converter and \
                     output.source.wavelength_unit != 'A':
                         conv = Converter('A')
@@ -152,5 +152,5 @@
                     distance = float(line_toks[3])
                     # Units
-                    if has_converter == True and detector.distance_unit != 'm':
+                    if has_converter and detector.distance_unit != 'm':
                         conv = Converter('m')
                         distance = conv(distance, units=detector.distance_unit)
@@ -189,5 +189,5 @@
 
             ## Read and get data.
-            if dataStarted == True:
+            if dataStarted:
                 line_toks = line.split()
                 if len(line_toks) == 0:
@@ -268,5 +268,5 @@
 
         # units
-        if has_converter == True and output.Q_unit != '1/A':
+        if has_converter and output.Q_unit != '1/A':
             xmin = data_conv_q(xmin, units=output.Q_unit)
             xmax = data_conv_q(xmax, units=output.Q_unit)
Index: src/sas/sascalc/dataloader/readers/sesans_reader.py
===================================================================
--- src/sas/sascalc/dataloader/readers/sesans_reader.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
+++ src/sas/sascalc/dataloader/readers/sesans_reader.py	(revision 083afa172eb22bb71ef1d12ab508761c46610fca)
@@ -166,5 +166,5 @@
 
     def _unit_conversion(self, value, value_unit, default_unit):
-        if has_converter == True and value_unit != default_unit:
+        if has_converter and value_unit != default_unit:
             data_conv_q = Converter(value_unit)
             value = data_conv_q(value, units=default_unit)
